Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## core
Class HelloWorld

    java.lang.Object
      core.HelloWorld

    public class HelloWorld

extends java.lang.Object

this is a template class and can be used to start a new processing library. make sure you rename this class as well as the name of the package template this class belongs to.

Author:
  andreas schlegel

+Example

      import template.*;
      void setup() {
        size(400,400);
        HelloWorld hello = new HelloWorld(this);
        println(hello.getVariable());
      }

      void draw() {
        background(0);
      }

Field Summary
`java.lang.String` | `VERSION`

Constructor Summary
`HelloWorld(processing.core.PApplet theParent)` a Constructor, usually called in the setup() method in your sketch to initialize and start the library.

Method Summary
`int` | `getVariable()`
`void` | `setVariable(int theA, int theB)`
`java.lang.String` | `version()` return the version of the library.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public final java.lang.String VERSION

See Also:
  Constant Field Values

Constructor Detail

### HelloWorld

    public HelloWorld(processing.core.PApplet theParent)

  a Constructor, usually called in the setup() method in your sketch to initialize and start the library.

  Parameters:
    `theParent` -
    +Example

          import template.*;
          void setup() {
            size(400,400);
            HelloWorld hello = new HelloWorld(this);
            println(hello.getVariable());
          }

          void draw() {
            background(0);
          }

Method Detail

### version

    public java.lang.String version()

  return the version of the library.

  Returns:
    String

### setVariable

    public void setVariable(int theA,
                            int theB)

  Parameters:
    `theA` - the width of test
    `theB` - the height of test

### getVariable

    public int getVariable()

  Returns:
    int

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library hello by yourNameHere. (c) 2008